PR_GET_ENDIAN(2const)

NAME
PR_GET_ENDIAN - get the endianness of the calling process

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <linux/prctl.h>  /* Definition of PR_* constants */
#include <sys/prctl.h>

int prctl(PR_GET_ENDIAN, int *endianness);

DESCRIPTION
Return the endianness of the calling process, in the location pointed to by endianness.

RETURN VALUE
On success, 0 is returned. On error, -1 is returned, and errno is set to indicate the error.

ERRORS

EFAULT
    endianness is an invalid address.

STANDARDS
Linux. PowerPC only.

HISTORY
Linux 2.6.18 (PowerPC).

SEE ALSO
prctl(2), PR_SET_ENDIAN(2const)